﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Xlsx;
using System.IO;
using System.Diagnostics;
using InvokeSolutions.Xlsx.Data;

namespace SampleInvoice
{
    class Program
    {
        static void Main(string[] args)
        {
            File.Copy("template.xlsx", "report.xlsx", true);

            var dds = new InvokeSolutions.Xlsx.Data.DocumentDataSource();

            dds["CUSTOMER"] = "Test Ltd.";
            dds["DATE"] = DateTime.Now.ToLongDateString();
            dds["INVOICE_NUMBER"] = "# INV-06-223";

            dds["P"] = DataItem.ConvertFrom(
                    new[] {
                            new { INC = 1, Name = "Item #1", Ppi = 1.5,  Qty = 2 },
                            new { INC = 2, Name = "Item #4", Ppi = 4.5, Qty = 5 },
                            new { INC = 3, Name = "Item #7", Ppi = 15.0, Qty = 8 },
                            new { INC = 4, Name = "Item #10", Ppi = 150.0, Qty = 11 }
                    }
                );

            XlsxRenderer.RenderDocument("report.xlsx", dds);

            Process.Start("report.xlsx");
        }
    }
}
